=== sources/pyside6/tests/QtHelp/CMakeLists.txt ===
PYSIDE_TEST(help_test.py)
PYSIDE_TEST(helpsearchengine_test.py)
