=== sources/pyside6/tests/QtStateMachine/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

PYSIDE_TEST(bug_1031.py)
PYSIDE_TEST(qabstracttransition_test.py)
PYSIDE_TEST(qstatemachine_test.py)
PYSIDE_TEST(qstate_test.py)
PYSIDE_TEST(setprop_on_ctor_test.py)
